BricsCAD's Mtext Editor cannot be activated while a LISP code is running?

Let me know if this is the case or if there is a work-around. The routine I'm working on works properly in AutoCAD. In BricsCAD I get an error message saying: "There was a problem with opening external mtext editor "1". Mtext will be edited with the default editor. Please set the "mtexted" system variable to "." to suppress this warning."

Here's a dumbed-down version of the code for reference (DON'T run this code in an active work session as it might throw some settings off such as FILEDIA):

(defun C:TEST (/)

(setq mTextObject (vla-addMtext (vla-get-modelSpace (vla-get-ActiveDocument (vlax-get-acad-object))) (vlax-3d-point (list 0 0 0)) 3.0 "TEST"))

(command "textEdit" (entlast) )

(command nil)

)

There are a few reasons I use this method. One is that it allows me to have the text go onto the layer I want. I used to also have a provision that allowed the user to rotate the text, as you would with DTEXT, but have the object be mtext instead. The former is easily achieved with Macro (but I've yet to learn a way to use a macro with a command line function) and the later I've had no trouble with in ACAD. I suspect that there is some conflict with the LISP API and BricsCAD's MTEXT Editor. Can anyone confirm?

Thanks!

Comments

Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. Click one of the buttons on the top bar to get involved!